Bug 385551 - No man page provided for /etc/crypttab
No man page provided for /etc/crypttab
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
8
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 15:41 EST by Chris Snook
Modified: 2014-03-16 23:11 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-30 19:39:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Snook 2007-11-15 15:41:35 EST
Description of problem:
The man page for crypttab(5) is not provided, even when cryptsetup, man-pages,
and dm-crypt are installed.

Version-Release number of selected component (if applicable):
Fedora 8 GA

How reproducible:
2/2 so far

Steps to Reproduce:
1. Install Fedora 8 with custom package selection, including the cryptsetup,
dm-crypt, and man-pages packages.
2. Attempt to configure the system to mount the luks volume where your WEP key
is stored, without which you cannot access the internet to retrieve documentation.

Actual results:
No crypttab man page is found, nor any other documentation so much as mentioning
crypttab.

Expected results:
crypttab(5) man page is available.

Additional info:
Ordinarily a documentation bug wouldn't merit high severity, but given that
cryptsetup is normally used with laptops on the road, which typically require
access to stored information such as NetworkManager keychains (which are
probably in encrypted home directories) to connect to the internet, lacking this
documentation can leave you dead in the water.

FWIW, in F7, /usr/share/man/man5/crypttab.5.gz is owned by the initscripts
package, which was also installed.  I haven't yet found it in F8, but this
should be a trivial bug to fix.
Comment 1 Bill Nottingham 2007-11-15 15:52:55 EST
It still is part of initscripts. What does 'rpm -V initscripts' say?
Comment 2 Till Maas 2007-12-30 19:39:09 EST
In Fedora 7 there is a crypttab(5) manpage and according to Koji it is also in
the Fedora 8 rpms:
https://koji.fedoraproject.org/koji/fileinfo?rpmID=190664&filename=/usr/share/man/man5/crypttab.5.gz

In case you really do not have a crypttab manpage, post the output of the
command from comment #1 and the version-release of you initscripts package.

Note You need to log in before you can comment on or make changes to this bug.